REQUIRETLS: amplify docs discussion
authorJeremy Harris <jgh146exb@wizmail.org>
Sun, 29 Jul 2018 14:27:03 +0000 (15:27 +0100)
committerJeremy Harris <jgh146exb@wizmail.org>
Sat, 4 Aug 2018 13:32:15 +0000 (14:32 +0100)
doc/doc-txt/experimental-spec.txt

index 43f1423..1bc5d02 100644 (file)
@@ -881,12 +881,15 @@ The Exim implementation includes
 
 Differences from spec:
 - we support upgrading the requirement for REQUIRETLS, including adding
-  it from cold, withing an MTA.  The spec only define the sourcing MUA
+  it from cold, within an MTA.  The spec only define the sourcing MUA
   as being able to source the requirement, and makes no mention of upgrade.
 - No support is coded for the RequireTLS header (which can be used
-  to annul DANE and/or STS policiy). [can this be done in ACL?]
+  to annul DANE and/or STS policiy). [this can _almost_ be done in
+  transport option expansions, but not quite: it requires tha DANE-present
+  but STARTTLS-failing targets fallback to cleartext, which current DANE
+  coding specifically blocks]
 
-Note that REQUIRETLS is only advertised once a TLS connection is acheived
+Note that REQUIRETLS is only advertised once a TLS connection is achieved
 (in contrast to STARTTLS).  If you want to check the advertising, do something
 like "swaks -s 127.0.0.1 -tls -q HELO".